Subject: [MIB-DOCTORS] MIB doctor review for: T11-FC-SP-SA-MIB

From: "Bert Wijnen - IETF" <[email-masked]>
Date: Sat, 29 Dec 2007 12:53:40 +0100

[bcc to mib doctors]

This is a review of the module as extracted from the
prelimenary draft-ietf-imss-fc-fcsp-mib-01.txt document

- I see:

   t11FcSpSaMIB  MODULE-IDENTITY
      LAST-UPDATED  "200702190000Z"
      ORGANIZATION  "T11"

   I think that IETF IMSS WG should be included as one of
   the ORGANIZATIONs that worked on this MIB module

- Similar question w.r.t. discontinuity of timers as in my 
  earlier MIB reviews yesterday

- t11FcSpSaPropSecurityProt OBJECT-TYPE
    SYNTAX       INTEGER { espHeader(1), ctAuth(2) }

  I see this SYNTAX 3 times.
  Possibly candidate for a TC. Just a subjective thought.

- FOr t11FcSpSaPropTSelListIndex and t11FcSpSaPropTransListIndex,
  I assume that a zero value means that there is no such list?
  Although from the DESCRIPTION clause of the t11FcSpSaPropRowStatus
  object I get the impression that a row with a zero value for
  either of these 2 objects cannot be made active. So maybe zero is
  not a valid value?

- For t11FcSpSaTSelPropEntry I am a bit confused by:

           The StorageType of a row in this table is specified by
           the instance of t11FcSpSaIfStorageType which is INDEX-ed
           by the same values of fcmInstanceIndex, t11FcSpSaIfIndex
           and t11FcSpSaIfFabricIndex."
    INDEX  { fcmInstanceIndex, t11FcSpSaIfIndex,
             t11FcSpSaTSelPropListIndex, t11FcSpSaTSelPropIndex }

   The t11FcSpSaIfFabricIndex is not part of this INDEX clause, is it?
   So how can it be the same?

- Same question for t11FcSpSaTransEntry

- I think that for t11FcSpSaPairTransListIndex and t11FcSpSaPairTransIndex
  a vlue of zero is impossible (or makes no sense). If I am correct you
  may want to exclude that via a RANGE spec.

- I have seen thos combination multipel times (in the set of MIB modules)

   t11FcSpSaPairLifetimeLeft OBJECT-TYPE
      SYNTAX       Unsigned32
      MAX-ACCESS   read-only
      STATUS       current
      DESCRIPTION
           "The remaining lifetime of this SA pair, given in the
           units specified by the value of the corresponding
           instance of t11FcSpSaPairLifetimeLeft."
      ::= { t11FcSpSaPairEntry 6 }

   t11FcSpSaPairLifetimeLeftUnits OBJECT-TYPE
      SYNTAX       INTEGER {
                     seconds(1),      -- seconds
                     kiloBytes(2),    -- 10^^3 bytes
                     megaBytes(3),    -- 10^^6 bytes
                     gigaBytes(4),    -- 10^^9 bytes
                     teraBytes(5),    -- 10^^12 bytes
                     petaBytes(6),    -- 10^^15 bytes
                     exaBytes(7),     -- 10^^18 bytes
                     zettaBytes(8),   -- 10^^21 bytes
                     yottaBytes(9)    -- 10^^24 bytes
                   }

   Possibel candidates for a TC?

- I have seen
    t11FcSpSaPairTerminate OBJECT-TYPE
       SYNTAX       INTEGER { noop(1), terminate(2) }

  That SYNTAX a few times. Candidate for a TC?
 
Bert Wijnen 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors